org.modeshape.jcr.value.basic

## Class NodeIdentifierReferenceFactory

- java.lang.Object
- - org.modeshape.jcr.value.basic.AbstractValueFactory<Reference>
  - - org.modeshape.jcr.value.basic.ReferenceValueFactory
    - - org.modeshape.jcr.value.basic.NodeIdentifierReferenceFactory

- All Implemented Interfaces:
    ReferenceFactory, ValueFactory<Reference>

      public class NodeIdentifierReferenceFactory
      extends ReferenceValueFactory

  A custom ReferenceValueFactory specialization that knows about a particular workspace, used to handle conversion from `Node.getIdentifier()` strings, including those that are local (e.g., not `foreign`) and thus don't have the source part and workspace part.
  See Also:
    `JcrSession`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.modeshape.jcr.value.basic.AbstractValueFactory

      `AbstractValueFactory.ConvertingIterator<ValueType>`

  - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.value.basic.ReferenceValueFactory

      `simple, weak`

    - ### Fields inherited from class org.modeshape.jcr.value.basic.AbstractValueFactory

      `decoder, propertyType, valueFactories`

    - ### Fields inherited from interface org.modeshape.jcr.value.ValueFactory

      `DEFAULT_DECODER, DEFAULT_ENCODER`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NodeIdentifierReferenceFactory(PropertyType type, TextDecoder decoder, ValueFactories valueFactories, boolean weak, boolean simple, NodeKey rootKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Reference` | `create(String value)` Create a value from a string, using no decoding.
    `static NodeIdentifierReferenceFactory` | `newInstance(NodeKey rootKey, TextDecoder decoder, ValueFactories factories, boolean weak, boolean simple)`
    `ReferenceFactory` | `with(ValueFactories valueFactories)` Return a potentially new copy of this factory that uses the supplied ValueFactories object.

    - ### Methods inherited from class org.modeshape.jcr.value.basic.ReferenceValueFactory

      `create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, createEmptyArray, newInstance`

    - ### Methods inherited from class org.modeshape.jcr.value.basic.AbstractValueFactory

      `create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, getDecoder, getDecoder, getPropertyType, getStringValueFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.modeshape.jcr.value.ValueFactory

      `create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, getPropertyType`

- - ### Constructor Detail

    - #### NodeIdentifierReferenceFactory

          protected NodeIdentifierReferenceFactory(PropertyType type,
                                        TextDecoder decoder,
                                        ValueFactories valueFactories,
                                        boolean weak,
                                        boolean simple,
                                        NodeKey rootKey)

  - ### Method Detail

    - #### newInstance

          public static NodeIdentifierReferenceFactory newInstance(NodeKey rootKey,
                                                   TextDecoder decoder,
                                                   ValueFactories factories,
                                                   boolean weak,
                                                   boolean simple)

    - #### create

          public Reference create(String value)

      Description copied from interface: `ValueFactory`
      Create a value from a string, using no decoding.
      Specified by:
        `create` in interface `ValueFactory<Reference>`
      Overrides:
        `create` in class `ReferenceValueFactory`
      Parameters:
        `value` - the string from which the value is to be created
      Returns:
        the value, or null if the supplied string is null
      See Also:
        `ValueFactory.create(String, TextDecoder)`

    - #### with

          public ReferenceFactory with(ValueFactories valueFactories)

      Description copied from interface: `ValueFactory`
      Return a potentially new copy of this factory that uses the supplied ValueFactories object.
      Specified by:
        `with` in interface `ReferenceFactory`
      Specified by:
        `with` in interface `ValueFactory<Reference>`
      Overrides:
        `with` in class `ReferenceValueFactory`
      Parameters:
        `valueFactories` - the value factories object; may not be null
      Returns:
        the factory, which may be a new instance or may be this object if the supplied value factories is the same as used by this factory; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.